Page MenuHomePhabricator

tl_from index on templatelinks is lingering in production
Closed, ResolvedPublic

Description

According to T174509: Drop now redundant indexes from pagelinks and templatelinks, this index should not exist anymore but the drift reporter says two hosts in s6 still have this:

...
    "templatelinks tl_from index-mismatch-prod-extra": {
        "s6": [
            "db1098.eqiad.wmnet",
            "db1096.eqiad.wmnet"
        ]
    },
...

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Ladsgroup created this task.May 7 2020, 3:43 PM

Interesting, this only exists on jawiki and ruwiki but not on frwiki

Marostegui closed this task as Resolved.May 8 2020, 5:18 AM

Fixed:

root@cumin1001:/home/marostegui# for i in frwiki jawiki ruwiki; do echo $i; mysql.py -hdb1096:3316 $i -e "show create table templatelinks\G" | grep UNIQUE;done
frwiki
jawiki
ruwiki
root@cumin1001:/home/marostegui# for i in frwiki jawiki ruwiki; do echo $i; mysql.py -hdb1098:3316 $i -e "show create table templatelinks\G" | grep UNIQUE;done
frwiki
jawiki
ruwiki
Ladsgroup reopened this task as Open.Jun 29 2020, 7:26 PM

Sorry, it is still happening on s4:

{
	"templatelinks tl_from index-mismatch-prod-extra": {
	    "s4": [
	            "db1141.eqiad.wmnet",
	            "db1121.eqiad.wmnet",
	            "db1148.eqiad.wmnet"
	        ]
	    }
}
Marostegui closed this task as Resolved.Jun 29 2020, 7:39 PM

Done! Thanks for reporting

root@cumin1001:/home/marostegui# for i in db1141 db1121 db1148; do echo $i; mysql.py -h$i commonswiki -e  "show create table templatelinks\G" | grep UNIQUE;done
db1141
db1121
db1148